> ## Documentation Index
> Fetch the complete documentation index at: https://docs.theauthapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post webhooks



## OpenAPI

````yaml post /webhooks
openapi: 3.0.0
info:
  title: Auth API
  description: Auth API swagger spec
  version: 0.3.4
  contact: {}
servers:
  - url: https://api.theauthapi.com
security: []
tags:
  - name: auth_api_v1
    description: ''
paths:
  /webhooks:
    post:
      operationId: WebHookController_createNewWebHook
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWebhookDTO'
      responses:
        '201':
          description: ''
components:
  schemas:
    CreateWebhookDTO:
      type: object
      properties:
        name:
          type: string
        url:
          type: string
        topics:
          type: array
          items:
            type: string
        httpMethod:
          type: string
        projectId:
          type: string
        accountId:
          type: string
        customHeaders:
          type: object
        status:
          type: string
      required:
        - name
        - url
        - topics
        - httpMethod

````